package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.AssetSupplyChain;
import com.ruoyi.tc.mapper.AssetSupplyChainMapper;
import com.ruoyi.tc.service.AssetSupplyChainService;
import org.springframework.stereotype.Service;

import java.io.Serializable;
import java.util.List;

/**
 * 资产供应链信息表(AssetSupplyChain)表服务实现类
 *
 * @author makejava
 * @since 2024-11-15 16:07:30
 */
@Service("assetSupplyChainService")
public class AssetSupplyChainServiceImpl extends ServiceImpl<AssetSupplyChainMapper, AssetSupplyChain> implements AssetSupplyChainService {

    /**
     * 根据现有资产id查找最新一条的系统建设单位
     */
    @Override
    public AssetSupplyChain getJsdw(Long id) {
        return baseMapper.getJsdw(id);
    }

    /**
     * 逻辑删除
     */
    @Override
    public void deleteByAssetIds(Long id) {
        baseMapper.deleteByAssetIds(id);
    }

    /**
     * 根据现有资产id查找最新一条的系统运营单位
     */
    @Override
    public AssetSupplyChain getYydw(Long id) {
        return baseMapper.getYydw(id);
    }

    @Override
    public void deleteIdList(List<Long> SupplyChainidList) {
        baseMapper.deleteIdList(SupplyChainidList);
    }
}
